AOZ Studio Beta - Bug #243

Loading a Music bank locks up AOZ.
02/21/2020 08:35 AM - Brian Flanagan

Status: Closed Start date: 02/21/2020
Priority: Normal Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.9.4

Affected version: 0.9.5

Description

Example:

#manifest: "amiga"

#speed: "safe"

Print "Loading Music"

Load "AMOSPro_Examples:Music/Music.abk"
Print "Music Loaded"

Compiling and running the code above Will print "Loading Music", but the "Music Loaded" message will never appear.
AQOZ locks up on the Load.

History

#1 - 02/21/2020 06:14 PM - Francois Lionet
- Status changed from New to Feedback

- Assignee set to AOZ Studio Team

AMOS Musics are not implemented, long process it is a very specific format, no-one was using it. | wonder if | should change it... Feedback
appreciated...

?

#2 - 08/14/2020 10:58 PM - Brian Flanagan
- Status changed from Feedback to Resolved

- Target version set to 0.9.9.4

As Francois mentioned, Music is still not implemented, however, Music Bank now loads to bank 3 as it should.
Added code to verify:

#manifest: "amiga"

#speed: "safe"

Print "Loading Music"

Load "AMOSPro_Examples:Music/Music.abk"
Print "Music Loaded"

List Bank

Print Start(3), Length(3)

#3 - 08/14/2020 11:02 PM - Brian Flanagan

- Status changed from Resolved to Closed

Music banks still should be implemented eventually, but I'm closing this ticket because the specific error no longer exists.
